
    r11=0
    r21=.581
    r31=.701
    a1=.141
    b1=0
    c1=0
    f1=0
    gg1=.775
    h1=.95
    top=c(r11,r21,r31)
    mid=c(a1,b1,c1)
    mid2=c(f1,gg1,h1)
    L.mine=rbind(top,mid,mid2)
    
    # Get the eigenvalues of the matrix
    L1=eigen(L.mine)$values[1]
    W1=matrix(c(eigen(L.mine)$vectors[,1]),3,1)
    
    Proportions.for.W=numeric(3)						        	# specific
    Proportions.for.W[1]=Re(W1[1]/sum(W1))						# specific	
    Proportions.for.W[2]=Re(W1[2]/sum(W1))						# specific
    Proportions.for.W[3]=Re(W1[3]/sum(W1))						# specific
    
       
    # If second and third stage reproduce							# specific section
	  TotalN=numeric(8)
		N=matrix(0,3,8)
        Y=floor(100/(Proportions.for.W[2]+Proportions.for.W[3]))
        TotalN[8]=Y
        N[2,(8)]=floor(TotalN[8]*Proportions.for.W[2])
        N[3,(8)]=floor(TotalN[8]*Proportions.for.W[3])
        # fill in the last value
        N[1,(8)]=floor(TotalN[8]*Proportions.for.W[1])
   
    
    for (x in 7:1){ # Generating SSD abundances back through time 
      N[3,x]=floor(Re(N[3,x+1]/L1))
      N[2,x]=floor(Re(N[2,x+1]/L1))
      N[1,x]=floor(Re(N[1,x+1]/L1))
    } # Generating SSD abundances back through time 
    
    # prepare the plot
    xx=0:(as.numeric(7))
    plot(xx,N[1,],xlim=c(0, as.numeric(7)), ylim=c(0,2*max(max(N[3,]),max(N[2,]),max(N[1,]))),xlab="Time",
    main="",ylab="Population size",col=1,type="l",cex=2)
    points(xx,N[2,],ylim=" ",xlab="Time",ylab="",col=3,type="l",cex=2)
    points(xx,N[3,],ylim=" ",xlab="Time",ylab="",col=4,type="l",cex=2)
    #legend(0,2*(max(max(N[3,]),max(N[2,]),max(N[1,]))),
           #c("Stage 1 in SSD", "Stage 2 in SSD", "Stage 3 in SSD","Stage 1 out of SSD","Stage 2 out of SSD","Stage 3 out of SSD"), 
           #lty=c(1,1,1,2,2,2), col=c(1,3,4,1,3,4))

    # Now add the unstable trajectories
   N1=20
   N2=2
   N3=27
    N=matrix(0,3,8)
    init=matrix(c(N1,N2,N3),3,1)
    
    
   for (i in 1:7){
  N[,1]=ceiling(init)
  N[,i+1]=ceiling(L.mine%*%N[,i])}
   
   points(xx,N[1,],ylim=" ", xlab="Time", ylab="", col=1,type="l",lty=2)
   points(xx,N[2,],ylim=" ", xlab="Time", ylab="", col=3,type="l",lty=2)
   points(xx,N[3,],ylim=" ", xlab="Time", ylab="", col=4,type="l",lty=2)